Package: geb.driver

## [Groovy] Class RemoteDriverOperations

- geb.driver.RemoteDriverOperations

-     class RemoteDriverOperations
      extends Object

  Wraps the operations on remote drivers to avoid a hard dependency on selenium-remote-client.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ClassLoader` | `classLoader`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RemoteDriverOperations (ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Optional<WebDriver>` | `asRemoteWebDriver(WebDriver driver)`
    `` | `Object` | `executeCommand(WebDriver driver, String commandName, Map<String, ?> parameters)`
    `` | `WebDriver` | `getAugmentedDriver(WebDriver driver)` If the driver is a remote driver, a proxy will be returned that implements the feature interfaces of the actual driver on the remote side.
    `` | `Optional<Class<? extends WebDriver>>` | `getOptionalRemoteWebDriverClass()`
    `` | `Class` | `softLoadRemoteDriverClass(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final ClassLoader classLoader

  - ### Constructor Detail

    - #### RemoteDriverOperations(ClassLoader classLoader)

  - ### Method Detail

    - #### Optional<WebDriver> asRemoteWebDriver(WebDriver driver)

    - #### Object executeCommand(WebDriver driver, String commandName, Map<String, ?> parameters)

    - #### WebDriver getAugmentedDriver(WebDriver driver)

      If the driver is a remote driver, a proxy will be returned that implements the feature interfaces of the actual driver on the remote side. If it is not, the passed in driver is returned.

    - #### Optional<Class<? extends WebDriver>> getOptionalRemoteWebDriverClass()

    - #### Class softLoadRemoteDriverClass(String name)